# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "egui-cha"
version = "0.5.0"
build = false
include = [
    "src/**/*",
    "Cargo.toml",
    "README.md",
    "assets/fonts/Phosphor.ttf",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TEA (The Elm Architecture) framework for egui"
homepage = "https://github.com/ynishi/egui-cha"
readme = "README.md"
keywords = [
    "egui",
    "gui",
    "elm",
    "tea",
    "immediate-mode",
]
categories = [
    "gui",
    "rendering::graphics-api",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ynishi/egui-cha"

[features]
default = []
eframe = [
    "dep:eframe",
    "tokio",
]
tokio = ["dep:tokio"]

[lib]
name = "egui_cha"
path = "src/lib.rs"

[dependencies.eframe]
version = "0.33"
features = [
    "default_fonts",
    "glow",
    "persistence",
]
optional = true
default-features = false

[dependencies.egui]
version = "0.33"
features = ["serde"]

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "sync",
    "time",
]
optional = true

[dependencies.tracing]
version = "0.1"
